Std ViewIsometric: Difference between revisions

From FreeCAD Documentation
(Std ViewIsometric puts the camera in the 3D view in axonometric isometric view; link to an explanation to axonometric isometric)
(Removed unnecessary code. Only FreeCADGui is needed)
Line 38: Line 38:
</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
App.Gui.ActiveDocument.ActiveView.viewIsometric()

import FreeCADGui as Gui
import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()
Gui.ActiveDocument.ActiveView.viewIsometric()

Revision as of 01:48, 24 November 2019

Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Orthographic camera

Description

Std ViewIsometric command puts the camera in the 3D view in axonometric isometric projection, with a view direction [-0.5773, 0.5773, -0.5773].

The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).

How to use

  • Go to the menu View → Standard views → Axonometric → Isometric.
  • Or press the Isometric button.
  • Or press 0 in the numerical pad of the keyboard.

Scripting

The isometric view can be set from the Python console.

It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.

import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()